package com.loafle.overflow.model.meta;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by insanity on 17. 9. 19.
 */
@Entity
@Table(name = "META_SENSOR_ITEM_UNIT", schema = "public")
public class MetaSensorItemUnit {
  private Short id;
  private String key;
  private String unit;
  private String mark;
  private Date createDate;

  @Id
  public Short getId() {
    return id;
  }

  public void setId(Short id) {
    this.id = id;
  }

  @Column(name = "KEY", nullable = true, length = 50)
  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  @Column(name = "UNIT", nullable = false)
  public String getUnit() {
    return unit;
  }

  public void setUnit(String unit) {
    this.unit = unit;
  }

  @Column(name = "MARK", nullable = false)
  public String getMark() {
    return mark;
  }

  public void setMark(String mark) {
    this.mark = mark;
  }

  @Temporal(TemporalType.TIMESTAMP)
  @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
  public Date getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Date createDate) {
    this.createDate = createDate;
  }
}
